unit main;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, classMSTeam, Vcl.StdCtrls, classWebhook,
  IdIOHandler, IdIOHandlerSocket, IdIOHandlerStack, IdSSL, IdSSLOpenSSL,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP,
  IdHeaderList, IPPeerClient, Data.Bind.Components, Data.Bind.ObjectScope,
  REST.Client;

type
  TForm11 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form11: TForm11;

const
  msUrl = 'https://outlook.office.com/webhook/XXXXXXXXXXXXXXXXXXXXXX';


implementation

{$R *.dfm}

procedure TForm11.Button1Click(Sender: TObject);
var
  wh : TvsMSTeam;
begin
  wh := TvsMSTeam.Create;
  if Edit1.Text <> '' then wh.WebhookUrl := Edit1.Text
  else wh.WebhookUrl := msUrl;
  wh.SendMessage('Meine Nachricht');
  wh.Free;

end;

procedure TForm11.Button2Click(Sender: TObject);
var
  wh : TvsMSTeam;
begin
  wh := TvsMSTeam.Create;
  if Edit1.Text <> '' then wh.WebhookUrl := Edit1.Text
  else wh.WebhookUrl := msUrl;
  wh.SendCard(Memo1.Lines.Text);
  wh.Free;

end;

end.
